Bug 1202930 - After install did not boot in graphic mode at Thinkpad T60 with Ati X1300. Need to install xf86-video-ati
After install did not boot in graphic mode at Thinkpad T60 with Ati X1300. Ne...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Gfx Bugs
Gfx Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-30 13:26 UTC by Igor Kuznetsov
Modified: 2022-11-13 19:57 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Xorg.0.log + dmesg + journalctl -b (294.64 KB, text/plain)
2022-09-30 03:02 UTC, Felix Miata
Details
logs from save_y2logs (3.55 MB, application/x-xz)
2022-10-12 18:18 UTC, Igor Kuznetsov
Details
Xorg.0.log on TW 20221109 with ATI X1300, 2 displays & modesetting DIX (58.04 KB, text/plain)
2022-11-11 05:14 UTC, Felix Miata
Details
Xorg.0.log TW20221110 on rv516 Radeon while 'Option "AccelMethod" "exa"' configured (45.67 KB, text/plain)
2022-11-12 22:36 UTC, Felix Miata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Kuznetsov 2022-08-30 13:26:55 UTC
After install did not boot in graphic mode at Thinkpad T60 with Ati X1300. 
Need to install xf86-video-ati in text mode and reboot to work fine.
Comment 1 Michal Filka 2022-09-01 06:06:22 UTC
@Ladislav
I guess we need to tune the packages proposal a bit. Or do we need an approval from PMs?
Comment 2 Felix Miata 2022-09-02 05:10:33 UTC
Igor, did you deselect package xorg-x11-driver-video, or deselect install recommended packages, during installation? NAICT, X1300 is just a little older than is supported by the default modesetting display driver, which for newer GPUs negates need for xorg-x11-driver-video, a meta-package that installs xf86-video-ati.
Comment 3 Ladislav Slezák 2022-09-05 14:18:05 UTC
The driver packages should be selected automatically by the hardware dependencies.

# rpm -q --supplements xf86-video-ati
modalias(xorg-x11-server:pci:v00001002d*sv*sd*bc03sc*i*)

The solver should select the package when the respective matching hardware is found. Run this to display the alias for your card:

  /usr/sbin/hwinfo --gfxcard | grep "Module Alias"


On my system I'm getting this:

  Module Alias: "pci:v00001002d000067FFsv00001462sd00008A91bc03sc00i00"


This exactly matches the pattern specified by the package.

Please check it in your system.


And as mentioned in comment #2, the supplements dependencies are ignored when installing the recommended packages is disabled. Make sure you do not disable that, otherwise you have to select the package to install manually.
Comment 4 Michal Filka 2022-09-08 08:24:28 UTC
@Igor:
Please could you try suggestions from comment#3 and let us know? Thanks
Comment 5 Stefan Hundhammer 2022-09-29 08:05:04 UTC
Still waiting for feedback from the bug reporter. It's been 3 weeks now.
Comment 6 Felix Miata 2022-09-30 03:02:48 UTC
Created attachment 861880 [details]
Xorg.0.log + dmesg + journalctl -b

FWIW, in case it might be useful, from my PCIe X1300 on 32bit TW20220928:
# /usr/sbin/hwinfo --gfxcard | grep "Module Alias"
  Module Alias: "pci:v00001002d000071A3sv00001028sd00000303bc03sc80i00"
  Module Alias: "pci:v00001002d00007183sv00001028sd00000302bc03sc00i00"
# lspci -nnk | grep VGA
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV516 [Radeon X1300/X1550 Series] [1002:7183]
Mine is using 2 displays and the intel DDX @1920x1200 + @1680x1050 and OpenGL: renderer: ATI RV515 v: 2.1 Mesa 22.2.0 for Plasma & KDE3.

Now 20220928 with /etc/X11/xorg.conf.d/ specifying the modesetting DIX, it may take multiple manual systemctl restart xdm iterations to get KDM3 to output anything. Once it does start (theming disabled), with two connected displays, neither display will sync, and there is nothing evident in Xorg.0.log to so indicate. This is what the attachment is about. With only the DVI connected 1920x1200 display, X using modesetting DIX works entirely as expected.
Comment 7 Stefan Hundhammer 2022-10-06 08:31:06 UTC
Both the ThinkPad T60 and the Ati X1300 are very old hardware (from 2005). I would think they should both work out of the box; but if not, that's just too bad, and IMHO a little extra manual work does not affect too many users. That's actually why we (unlike most other modern Linux distros) have a text mode in the installer. I don't think that the investment in developer hours in this singular pathological case is warranted; much less since no feedback is forthcoming.

Closing.
Comment 8 Igor Kuznetsov 2022-10-07 04:35:59 UTC
I reinstall fresh openSUSE tumbleweed from DVD-iso (openSUSE-Tumbleweed-DVD-x86_64-Snapshot20221003-Media.iso) and nothing changed. Same problem with a graphics.
This pictures after install: https://ibb.co/jy1d5dc https://ibb.co/8BvLPGK
I think this is not good.
Need to include packet "xf86-video-ati" to DVD-iso.
Comment 9 Igor Kuznetsov 2022-10-07 04:39:04 UTC
(In reply to Felix Miata from comment #2)
> Igor, did you deselect package xorg-x11-driver-video, or deselect install
> recommended packages, during installation? NAICT, X1300 is just a little
> older than is supported by the default modesetting display driver, which for
> newer GPUs negates need for xorg-x11-driver-video, a meta-package that
> installs xf86-video-ati.

While installing openSUSE i did not deselect any packages. Only choose the option install with plasma environment.
Comment 10 Felix Miata 2022-10-08 06:26:28 UTC
(In reply to Igor Kuznetsov from comment #9)
> While installing openSUSE i did not deselect any packages. Only choose the
> option install with plasma environment.

Perhaps a change was made, but it used to be that selecting Plasma, without any customization of packages selection, would result in xorg-x11-driver-video being installed, which would install xf86-video-ati, which provides the Radeon display device driver required by your X1300. I haven't installed TW fresh on any old Radeon GPU in a long time, so would not have noticed a change.

I mounted the TW DVD .iso from 20220925 just now to find the following:
# ls -Gg /mnt/x86_64/xf86-video-ati-*
-r--r--r-- 1 172459 Aug 31 22:34 xf86-video-ati-19.1.0-6.3.x86_64.rpm
Comment 11 Igor Kuznetsov 2022-10-08 15:06:07 UTC
I can make a clean install of TW if it need it. And send the logs of install process (where are these logs are stored?)
Comment 12 Michal Filka 2022-10-12 09:14:28 UTC
(In reply to Igor Kuznetsov from comment #11)
> I can make a clean install of TW if it need it. And send the logs of install
> process (where are these logs are stored?)

you can use save_y2logs. See details here https://en.opensuse.org/openSUSE:Report_a_YaST_bug Thanks
Comment 13 Igor Kuznetsov 2022-10-12 18:18:46 UTC
Created attachment 862126 [details]
logs from save_y2logs

Thank you for command save_y2logs.
Comment 14 Stefan Hundhammer 2022-11-10 16:20:53 UTC
The graphics card part of the y2log:


19: PCI 100.0: 0300 VGA compatible controller (VGA)
  [Created at pci.386]
  Unique ID: VCu0.Pp_Lzjm06vF
  Parent ID: vSkL.auMtoROVJ9A
  SysFS ID: /devices/pci0000:00/0000:00:01.0/0000:01:00.0
  SysFS BusID: 0000:01:00.0
  Hardware Class: graphics card
  Model: "ATI RV515/M52 [Mobility Radeon X1300]"
  Vendor: pci 0x1002 "ATI Technologies Inc"
  Device: pci 0x7149 "RV515/M52 [Mobility Radeon X1300]"
  SubVendor: pci 0x17aa "Lenovo"
  SubDevice: pci 0x2005 
  Driver: "radeon"
  Driver Modules: "radeon"
  Memory Range: 0xd8000000-0xdfffffff (ro,non-prefetchable)
  I/O Ports: 0x2000-0x2fff (rw)
  Memory Range: 0xee100000-0xee10ffff (rw,non-prefetchable)
  Memory Range: 0x000c0000-0x000dffff (rw,non-prefetchable,disabled)
  IRQ: 16 (2 events)
  I/O Ports: 0x3c0-0x3df (rw)
  Module Alias: "pci:v00001002d00007149sv000017AAsd00002005bc03sc00i00"
  Driver Info #0:
    Driver Status: radeon is active
    Driver Activation Cmd: "modprobe radeon"
  Driver Info #1:
    Driver Status: amdgpu is active
    Driver Activation Cmd: "modprobe amdgpu"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #17 (PCI bridge)
Comment 15 Stefan Hundhammer 2022-11-10 16:24:25 UTC
This should be the same as you get with

    sudo hwinfo --gfxcard
Comment 16 Stefan Hundhammer 2022-11-10 16:29:30 UTC
% grep xf86-video rpm-qa

xf86-video-fbdev-0.5.0-3.3  (openSUSE) openSUSE Tumbleweed
xf86-video-mach64-6.9.7-1.2 (openSUSE) openSUSE Tumbleweed
xf86-video-r128-6.12.0-1.12 (openSUSE) openSUSE Tumbleweed
xf86-video-vesa-2.5.0-4.3   (openSUSE) openSUSE Tumbleweed

As reported, xf86-video-ati was not installed.
Comment 17 Stefan Hundhammer 2022-11-10 16:42:59 UTC
> 19: PCI 100.0: 0300 VGA compatible controller (VGA)
...
...
>   Module Alias: "pci:v00001002d00007149sv000017AAsd00002005bc03sc00i00"

This matches what Ladislav wrote in comment #3:

> # rpm -q --supplements xf86-video-ati
> modalias(xorg-x11-server:pci:v00001002d*sv*sd*bc03sc*i*)

pci:v00001002d00007149sv000017AAsd00002005bc03sc00i00
    v00001002d*       sv*       sd*       bc03sc* i*
Comment 18 Stefan Hundhammer 2022-11-10 16:50:43 UTC
From what I can see in the y2logs, this was an installation with recommended packages.

2022-10-07 01:22:01 <1> install(3977) [libsolv++] 
  PoolImpl.cc(logSat):131
  dontinstallrecommended=0,
  addalreadyrecommended=0
  onlynamespacerecommended=0

2022-10-07 01:22:01 <1> install(3977) [zypp::solver]
  SATResolver.cc(solving):507   
  IGNORE_RECOMMENDED = 0
Comment 19 Stefan Hundhammer 2022-11-10 16:52:46 UTC
Maybe the X11 maintainers can tell us more about this.
Comment 20 Stefan Dirsch 2022-11-10 20:52:45 UTC
It's no longer recommended to use this X driver. 

xf86-video-ati.changes
-------------------------------------------------------------------
Sat May 14 20:57:24 UTC 2022 - Stefan Dirsch <sndirsch@suse.com>

- remove hardware supplements for AMD GPUs; i.e. no longer install
  by default on AMD hardware; instead use "modeset" driver
[...]

Thinkpad is from 2006/2007. Sorry, but we no longer invest time in debugging such old old hardware, let alone we would still have such hardware available for testing ...

You have a workaround by installing this package. I suggest to live with that. Seriously.
Comment 21 Felix Miata 2022-11-11 05:14:04 UTC
Created attachment 862808 [details]
Xorg.0.log on TW 20221109 with ATI X1300, 2 displays & modesetting DIX

Attached log is with native 1920x1200 on DVI and native 1680x1050 on VGA, where TW20221109 puts both screens uselessly out of sync attempting Xorg/Plasma on modesetting DIX.

(In reply to Stefan Dirsch from comment #20)
>   by default on AMD hardware; instead use "modeset" driver

Are there any pre-Terascale ATIs (pre-2007-05) for which the modesetting DIX actually works reliably? My X1300 won't sync both displays using modesetting DIX, but has no problem doing both on radeon DDX. With only one display, modesetting works as expected. Following uses radeon:
# xdriinfo
Screen 0: r300
# pinxi -GSaz --vs --zl --hostname
System:
  Host: hp750 Kernel: 5.19.13-1-default arch: x86_64 bits: 64 compiler: gcc
    v: 12.2.1 parameters: root=/dev/sda7 noresume mitigations=auto
    consoleblank=0 net.ifnames=0 ipv6.disable=1 mitigations=auto vga=791
    video=1440x900@60 5
  Desktop: KDE Plasma v: 5.26.2 tk: Qt v: 5.15.7 wm: kwin_x11 vt: 7 dm:
    1: KDM 2: XDM Distro: openSUSE Tumbleweed 20221109
Graphics:
  Device-1: AMD RV516 [Radeon X1300/X1550 Series] vendor: Dell driver: radeon
    v: kernel alternate: amdgpu arch: Rage-7 code: R200 process: TSMC 150nm
    built: 2001-06 pcie: gen: 1 speed: 2.5 GT/s lanes: 16 ports:
    active: DVI-I-1,VGA-1 empty: SVIDEO-1 bus-ID: 01:00.0 chip-ID: 1002:7183
    class-ID: 0300
  Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.5
    compositor: kwin_x11 driver: X: loaded: radeon dri: r300 gpu: radeon
    display-ID: :0 screens: 1
  Screen-1: 0 s-res: 3600x1200 s-dpi: 120 s-size: 762x254mm (30.00x10.00")
    s-diag: 803mm (31.62")
  Monitor-1: DVI-I-1 mapped: DVI-0 pos: primary,left model: NEC EA243WM
    serial: <filter> built: 2011 res: 1920x1200 hz: 60 dpi: 94 gamma: 1.2
    size: 519x324mm (20.43x12.76") diag: 612mm (24.1") ratio: 16:10 modes:
    max: 1920x1200 min: 640x480
  Monitor-2: VGA-1 mapped: VGA-0 pos: right model: Dell P2213
    serial: <filter> built: 2012 res: 1680x1050 hz: 60 dpi: 90 gamma: 1.2
    size: 473x296mm (18.62x11.65") diag: 558mm (22") ratio: 16:10 modes:
    max: 1680x1050 min: 720x400
  API: OpenGL v: 2.1 Mesa 22.2.3 renderer: ATI RV515 direct render: Yes
X600/rv380 (newest ATI I have for use on OS/2) won't run X on modesetting DIX at all:
(WW) glamor requires at least 128 instructions (64 reported)
(EE) modeset(0): Failed to initialize glamor at ScreenInit() time.
Comment 22 Stefan Dirsch 2022-11-11 08:50:59 UTC
I don't know. Possibly radeon X driver still uses "EXA" by default for such an old card as default instead of "GLAMOR". I guess you can at least force it to do so.
Comment 23 Felix Miata 2022-11-12 02:10:24 UTC
Thank you!

       Option  "AccelMethod"   "exa"

does enable the rv516 1002:7183 to sync both displays while using the modesetting DIX! :)

It also enables the rv380 1002:3e50 to use the modesetting DIX! :)
Comment 24 Stefan Dirsch 2022-11-12 08:49:36 UTC
Hmm. modesetting driver does not support EXA for acceleration. Only GLAMOR and "none". Apparently you're still using "radeon" driver ...
Comment 25 Felix Miata 2022-11-12 21:49:47 UTC
(In reply to Stefan Dirsch from comment #24)
> Hmm. modesetting driver does not support EXA for acceleration. Only GLAMOR
> and "none". Apparently you're still using "radeon" driver ...

Maybe someone slipped in a backport you weren't aware of?:
# grep -i adeon /var/log/Xorg.*
# grep exa /etc/X11/xorg.conf.d/*f
/etc/X11/xorg.conf.d/20-radeon.conf:    Option  "AccelMethod"   "exa"
# grep lamor /var/log/Xorg.*
/var/log/Xorg.0.log:[   181.280] (**) modeset(0): glamor disabled
/var/log/Xorg.0.log.old:[   129.479] (**) modeset(0): glamor disabled
# ls -Ggh /var/log/Xorg.*
-rw-r--r-- 1 25K Nov 12 16:43 /var/log/Xorg.0.log
-rw-r--r-- 1 18K Nov 12 16:42 /var/log/Xorg.0.log.old
#
Comment 26 Stefan Dirsch 2022-11-12 22:14:27 UTC
Hmm. You mean by specifying a non-supported "AccelMethod" option the result is the same as if specifying "none"? This could be, yes. I'm not sure whether I ever tried to specify an invalid option ...
Comment 27 Felix Miata 2022-11-12 22:36:58 UTC
Created attachment 862846 [details]
Xorg.0.log TW20221110 on rv516 Radeon while 'Option "AccelMethod" "exa"' configured

Is 'Option "AccelerationScheme" "none"' from the trackball, or video?

Doesn't this log indicate exa was utilized along with modeset(0), while glamor disabled?

Until comment #22, I thought exa only applied to Intel IGPs. :-S
Comment 28 Stefan Dirsch 2022-11-13 19:57:57 UTC
As assumed:

[   186.576] (**) modeset(0): Option "AccelMethod" "exa"
[   186.576] (==) modeset(0): RGB weight 888
[   186.576] (==) modeset(0): Default visual is TrueColor
[   186.576] (**) modeset(0): glamor disabled

Glamor gets disabled, i.e. 2D hardware acceleration via Mesa driver. There is no "EXA"  support in modesetting driver. You can also use

  Option "AccelMethod" "xxxXXXxxx"

The result will be the same ...